apiVersion: v1
kind: LimitRange
metadata:
  name: container-limitrange
spec:
  limits:
  - default:
      cpu: 1 
      memory: 2Gi
    defaultRequest:
      cpu: 1
      memory: 2Mi
    max:
      cpu: 4
      memory: 8Gi
    #container只能这么多参数
    type: Container

    
    ###default 代表默认的limit,如果Container不设置,就默认这个值###
    ###defaultRequest 代表默认的request,初始化申请的资源###
    ###max 代表limit的最大值,全局最大值,Container不能超过这个值###

    
    ###参考资料https://blog.csdn.net/liyingke112/article/details/77198045 ###
    ###limits值设置###
    ### max>=default>=defaultRequest>min ###
    
    ####
    ###1.只使用limits的pod或者container中的一种,尽量不使用同时使用,特别在pod中有多容器需求的情况下.###
    ###2.尽量使用max,尽量不同时使用max和min###
    ###3.由于limits会针对该namespace下的所有新建的pods,所以在该namespace下应该运行哪些资源需求相同的业务.###
    ###4.在复杂的limits配置下,不要在创建资源时使用自定义配置.###
